Subject: bug#40344: inconsistent 'guix package --list-generations' for root

From: Leo Famulari <[email-masked]>
Date: Tue, 31 Mar 2020 14:17:26 -0400

On Tue, Mar 31, 2020 at 08:48:03PM +0300, Efraim Flashner wrote:
> Looks like I messsed up the bug report completely and mixed up
> --list-profiles and --list-generations.
> 
> If anyone is curious, when run as root, 'guix package --list-profiles'
> on Guix system and on a foreign distro, for me, return a list of all the
> profiles of all the users.

Can you share the exact command you run and the result of `env` with
that sudo invocation? For example, if you are doing `sudo guix package
--list-profiles`, the result of `sudo env`? Having sanitized it as
necessary...